' ====================================================================================
$IFNDEF CALL_ASM_PROC_X
    $DEFINE CALL_ASM_PROC_X
    DECLARE FUNCTION CallAsmProc LIB "user32" ALIAS "CallWindowProcA" _
            (Proc AS LONG, A1 AS LONG, A2 AS LONG, A3 AS LONG, A4 AS LONG) AS LONG
$ENDIF
' ====================================================================================
' ----- ARRAY containing ASM GetQuadraticSolutions -----
DefByte GetQuadraticSolutionsArray (0 To 119) = _
   {&H55,&H89,&HE5,&HE9,&H02,&H00,&H00,&H00,&HFC,&HFF,&H89,&HC7,&H8B,&H75,&H08,&H81, _
    &HEC,&H10,&H00,&H00,&H00,&HDF,&H87,&H08,&H00,&H00,&H00,&HDD,&H06,&HDD,&H46,&H10, _
    &HDE,&HC9,&HDE,&HC9,&HDD,&H46,&H08,&HDD,&H46,&H08,&HDE,&HC9,&HDE,&HC1,&HD9,&HE4, _
    &H9B,&HDF,&HE0,&H9E,&H72,&H37,&HD9,&HFA,&HDD,&H5D,&HF8,&HD9,&HE8,&HDD,&H06,&HD9, _
    &HFD,&HDE,&HF9,&HDD,&H55,&HF0,&HDD,&H46,&H08,&HDD,&H45,&HF8,&HDE,&HE1,&HDE,&HC9, _
    &HDD,&H5E,&H18,&HDD,&H46,&H08,&HDD,&H45,&HF8,&HD9,&HE0,&HDE,&HE1,&HDC,&H4D,&HF0, _
    &HDD,&H5E,&H20,&HB8,&H01,&H00,&H00,&H00,&HE9,&H05,&H00,&H00,&H00,&HB8,&H00,&H00, _
    &H00,&H00,&H89,&HEC,&H5D,&HC2,&H10,&H00}
' ----- POINTER to use In CallAsmProc -----
DefInt ptrGetQuadraticSolutions = VarPtr (GetQuadraticSolutionsArray(0))
' ----- RQ CALL GetQuadraticSolutions -----
Function GetQuadraticSolutions (ptr_5_Double As Long) As Long
    Result = CallAsmProc (ptrGetQuadraticSolutions, ptr_5_Double, 0, 0, 0)
End Function 
' ====================================================================================
'